<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../.resources/report.css" type="text/css"/><link rel="shortcut icon" href="../.resources/report.gif" type="image/gif"/><title>RccTokenManager.java</title><link rel="stylesheet" href="../.resources/prettify.css" type="text/css"/><script type="text/javascript" src="../.resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../.sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testBundle</a> &gt; <a href="index.source.html" class="el_package">org.apache.jute.compiler.generated</a> &gt; <span class="el_source">RccTokenManager.java</span></div><h1>RccTokenManager.java</h1><pre class="source lang-java linenums">/* Generated By:JavaCC: Do not edit this line. RccTokenManager.java */
/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jute.compiler.generated;
import org.apache.jute.compiler.*;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Iterator;
import java.io.File;
import java.io.FileReader;
import java.io.FileNotFoundException;
import java.io.IOException;

public class RccTokenManager implements RccConstants
{
<span class="fc" id="L32">  public  java.io.PrintStream debugStream = System.out;</span>
<span class="nc" id="L33">  public  void setDebugStream(java.io.PrintStream ds) { debugStream = ds; }</span>
private final int jjMoveStringLiteralDfa0_1()
{
<span class="nc" id="L36">   return jjMoveNfa_1(0, 0);</span>
}
private final void jjCheckNAdd(int state)
{
<span class="nc bnc" id="L40" title="All 2 branches missed.">   if (jjrounds[state] != jjround)</span>
   {
<span class="nc" id="L42">      jjstateSet[jjnewStateCnt++] = state;</span>
<span class="nc" id="L43">      jjrounds[state] = jjround;</span>
   }
<span class="nc" id="L45">}</span>
private final void jjAddStates(int start, int end)
{
   do {
<span class="nc" id="L49">      jjstateSet[jjnewStateCnt++] = jjnextStates[start];</span>
<span class="nc bnc" id="L50" title="All 2 branches missed.">   } while (start++ != end);</span>
<span class="nc" id="L51">}</span>
private final void jjCheckNAddTwoStates(int state1, int state2)
{
<span class="nc" id="L54">   jjCheckNAdd(state1);</span>
<span class="nc" id="L55">   jjCheckNAdd(state2);</span>
<span class="nc" id="L56">}</span>
private final void jjCheckNAddStates(int start, int end)
{
   do {
<span class="nc" id="L60">      jjCheckNAdd(jjnextStates[start]);</span>
<span class="nc bnc" id="L61" title="All 2 branches missed.">   } while (start++ != end);</span>
<span class="nc" id="L62">}</span>
private final void jjCheckNAddStates(int start)
{
<span class="nc" id="L65">   jjCheckNAdd(jjnextStates[start]);</span>
<span class="nc" id="L66">   jjCheckNAdd(jjnextStates[start + 1]);</span>
<span class="nc" id="L67">}</span>
private final int jjMoveNfa_1(int startState, int curPos)
{
   int[] nextStates;
<span class="nc" id="L71">   int startsAt = 0;</span>
<span class="nc" id="L72">   jjnewStateCnt = 3;</span>
<span class="nc" id="L73">   int i = 1;</span>
<span class="nc" id="L74">   jjstateSet[0] = startState;</span>
<span class="nc" id="L75">   int j, kind = 0x7fffffff;</span>
   for (;;)
   {
<span class="nc bnc" id="L78" title="All 2 branches missed.">      if (++jjround == 0x7fffffff)</span>
<span class="nc" id="L79">         ReInitRounds();</span>
<span class="nc bnc" id="L80" title="All 2 branches missed.">      if (curChar &lt; 64)</span>
      {
<span class="nc" id="L82">         long l = 1L &lt;&lt; curChar;</span>
         MatchLoop: do
         {
<span class="nc bnc" id="L85" title="All 4 branches missed.">            switch(jjstateSet[--i])</span>
            {
               case 0:
<span class="nc bnc" id="L88" title="All 2 branches missed.">                  if ((0x2400L &amp; l) != 0L)</span>
                  {
<span class="nc bnc" id="L90" title="All 2 branches missed.">                     if (kind &gt; 6)</span>
<span class="nc" id="L91">                        kind = 6;</span>
                  }
<span class="nc bnc" id="L93" title="All 2 branches missed.">                  if (curChar == 13)</span>
<span class="nc" id="L94">                     jjstateSet[jjnewStateCnt++] = 1;</span>
                  break;
               case 1:
<span class="nc bnc" id="L97" title="All 4 branches missed.">                  if (curChar == 10 &amp;&amp; kind &gt; 6)</span>
<span class="nc" id="L98">                     kind = 6;</span>
                  break;
               case 2:
<span class="nc bnc" id="L101" title="All 2 branches missed.">                  if (curChar == 13)</span>
<span class="nc" id="L102">                     jjstateSet[jjnewStateCnt++] = 1;</span>
                  break;
               default : break;
            }
<span class="nc bnc" id="L106" title="All 2 branches missed.">         } while(i != startsAt);</span>
<span class="nc" id="L107">      }</span>
<span class="nc bnc" id="L108" title="All 2 branches missed.">      else if (curChar &lt; 128)</span>
      {
<span class="nc" id="L110">         long l = 1L &lt;&lt; (curChar &amp; 077);</span>
         MatchLoop: do
         {
<span class="nc" id="L113">            switch(jjstateSet[--i])</span>
            {
               default : break;
            }
<span class="nc bnc" id="L117" title="All 2 branches missed.">         } while(i != startsAt);</span>
<span class="nc" id="L118">      }</span>
      else
      {
<span class="nc" id="L121">         int i2 = (curChar &amp; 0xff) &gt;&gt; 6;</span>
<span class="nc" id="L122">         long l2 = 1L &lt;&lt; (curChar &amp; 077);</span>
         MatchLoop: do
         {
<span class="nc" id="L125">            switch(jjstateSet[--i])</span>
            {
               default : break;
            }
<span class="nc bnc" id="L129" title="All 2 branches missed.">         } while(i != startsAt);</span>
      }
<span class="nc bnc" id="L131" title="All 2 branches missed.">      if (kind != 0x7fffffff)</span>
      {
<span class="nc" id="L133">         jjmatchedKind = kind;</span>
<span class="nc" id="L134">         jjmatchedPos = curPos;</span>
<span class="nc" id="L135">         kind = 0x7fffffff;</span>
      }
<span class="nc" id="L137">      ++curPos;</span>
<span class="nc bnc" id="L138" title="All 2 branches missed.">      if ((i = jjnewStateCnt) == (startsAt = 3 - (jjnewStateCnt = startsAt)))</span>
<span class="nc" id="L139">         return curPos;</span>
<span class="nc" id="L140">      try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L141">      catch(java.io.IOException e) { return curPos; }</span>
   }
}
private final int jjStopStringLiteralDfa_0(int pos, long active0)
{
<span class="nc bnc" id="L146" title="All 7 branches missed.">   switch (pos)</span>
   {
      case 0:
<span class="nc bnc" id="L149" title="All 2 branches missed.">         if ((active0 &amp; 0xfff800L) != 0L)</span>
         {
<span class="nc" id="L151">            jjmatchedKind = 32;</span>
<span class="nc" id="L152">            return 4;</span>
         }
<span class="nc" id="L154">         return -1;</span>
      case 1:
<span class="nc bnc" id="L156" title="All 2 branches missed.">         if ((active0 &amp; 0xfff800L) != 0L)</span>
         {
<span class="nc" id="L158">            jjmatchedKind = 32;</span>
<span class="nc" id="L159">            jjmatchedPos = 1;</span>
<span class="nc" id="L160">            return 4;</span>
         }
<span class="nc" id="L162">         return -1;</span>
      case 2:
<span class="nc bnc" id="L164" title="All 2 branches missed.">         if ((active0 &amp; 0x7ef800L) != 0L)</span>
         {
<span class="nc" id="L166">            jjmatchedKind = 32;</span>
<span class="nc" id="L167">            jjmatchedPos = 2;</span>
<span class="nc" id="L168">            return 4;</span>
         }
<span class="nc bnc" id="L170" title="All 2 branches missed.">         if ((active0 &amp; 0x810000L) != 0L)</span>
<span class="nc" id="L171">            return 4;</span>
<span class="nc" id="L172">         return -1;</span>
      case 3:
<span class="nc bnc" id="L174" title="All 2 branches missed.">         if ((active0 &amp; 0x24000L) != 0L)</span>
<span class="nc" id="L175">            return 4;</span>
<span class="nc bnc" id="L176" title="All 2 branches missed.">         if ((active0 &amp; 0x7cb800L) != 0L)</span>
         {
<span class="nc" id="L178">            jjmatchedKind = 32;</span>
<span class="nc" id="L179">            jjmatchedPos = 3;</span>
<span class="nc" id="L180">            return 4;</span>
         }
<span class="nc" id="L182">         return -1;</span>
      case 4:
<span class="nc bnc" id="L184" title="All 2 branches missed.">         if ((active0 &amp; 0x41000L) != 0L)</span>
<span class="nc" id="L185">            return 4;</span>
<span class="nc bnc" id="L186" title="All 2 branches missed.">         if ((active0 &amp; 0x78a800L) != 0L)</span>
         {
<span class="nc" id="L188">            jjmatchedKind = 32;</span>
<span class="nc" id="L189">            jjmatchedPos = 4;</span>
<span class="nc" id="L190">            return 4;</span>
         }
<span class="nc" id="L192">         return -1;</span>
      case 5:
<span class="nc bnc" id="L194" title="All 2 branches missed.">         if ((active0 &amp; 0x680800L) != 0L)</span>
<span class="nc" id="L195">            return 4;</span>
<span class="nc bnc" id="L196" title="All 2 branches missed.">         if ((active0 &amp; 0x10a000L) != 0L)</span>
         {
<span class="nc" id="L198">            jjmatchedKind = 32;</span>
<span class="nc" id="L199">            jjmatchedPos = 5;</span>
<span class="nc" id="L200">            return 4;</span>
         }
<span class="nc" id="L202">         return -1;</span>
      default :
<span class="nc" id="L204">         return -1;</span>
   }
}
private final int jjStartNfa_0(int pos, long active0)
{
<span class="nc" id="L209">   return jjMoveNfa_0(jjStopStringLiteralDfa_0(pos, active0), pos + 1);</span>
}
private final int jjStopAtPos(int pos, int kind)
{
<span class="nc" id="L213">   jjmatchedKind = kind;</span>
<span class="nc" id="L214">   jjmatchedPos = pos;</span>
<span class="nc" id="L215">   return pos + 1;</span>
}
private final int jjStartNfaWithStates_0(int pos, int kind, int state)
{
<span class="nc" id="L219">   jjmatchedKind = kind;</span>
<span class="nc" id="L220">   jjmatchedPos = pos;</span>
<span class="nc" id="L221">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L222">   catch(java.io.IOException e) { return pos + 1; }</span>
<span class="nc" id="L223">   return jjMoveNfa_0(state, pos + 1);</span>
}
private final int jjMoveStringLiteralDfa0_0()
{
<span class="pc bpc" id="L227" title="17 of 18 branches missed.">   switch(curChar)</span>
   {
      case 44:
<span class="nc" id="L230">         return jjStopAtPos(0, 29);</span>
      case 46:
<span class="nc" id="L232">         return jjStopAtPos(0, 30);</span>
      case 47:
<span class="nc" id="L234">         return jjMoveStringLiteralDfa1_0(0x120L);</span>
      case 59:
<span class="nc" id="L236">         return jjStopAtPos(0, 28);</span>
      case 60:
<span class="nc" id="L238">         return jjStopAtPos(0, 26);</span>
      case 62:
<span class="nc" id="L240">         return jjStopAtPos(0, 27);</span>
      case 98:
<span class="nc" id="L242">         return jjMoveStringLiteralDfa1_0(0x20c000L);</span>
      case 99:
<span class="nc" id="L244">         return jjMoveStringLiteralDfa1_0(0x1000L);</span>
      case 100:
<span class="nc" id="L246">         return jjMoveStringLiteralDfa1_0(0x80000L);</span>
      case 102:
<span class="nc" id="L248">         return jjMoveStringLiteralDfa1_0(0x40000L);</span>
      case 105:
<span class="nc" id="L250">         return jjMoveStringLiteralDfa1_0(0x12000L);</span>
      case 108:
<span class="nc" id="L252">         return jjMoveStringLiteralDfa1_0(0x20000L);</span>
      case 109:
<span class="nc" id="L254">         return jjMoveStringLiteralDfa1_0(0x800800L);</span>
      case 117:
<span class="nc" id="L256">         return jjMoveStringLiteralDfa1_0(0x100000L);</span>
      case 118:
<span class="nc" id="L258">         return jjMoveStringLiteralDfa1_0(0x400000L);</span>
      case 123:
<span class="nc" id="L260">         return jjStopAtPos(0, 24);</span>
      case 125:
<span class="nc" id="L262">         return jjStopAtPos(0, 25);</span>
      default :
<span class="fc" id="L264">         return jjMoveNfa_0(0, 0);</span>
   }
}
private final int jjMoveStringLiteralDfa1_0(long active0)
{
<span class="nc" id="L269">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L270">   catch(java.io.IOException e) {</span>
<span class="nc" id="L271">      jjStopStringLiteralDfa_0(0, active0);</span>
<span class="nc" id="L272">      return 1;</span>
<span class="nc" id="L273">   }</span>
<span class="nc bnc" id="L274" title="All 11 branches missed.">   switch(curChar)</span>
   {
      case 42:
<span class="nc bnc" id="L277" title="All 2 branches missed.">         if ((active0 &amp; 0x100L) != 0L)</span>
<span class="nc" id="L278">            return jjStopAtPos(1, 8);</span>
         break;
      case 47:
<span class="nc bnc" id="L281" title="All 2 branches missed.">         if ((active0 &amp; 0x20L) != 0L)</span>
<span class="nc" id="L282">            return jjStopAtPos(1, 5);</span>
         break;
      case 97:
<span class="nc" id="L285">         return jjMoveStringLiteralDfa2_0(active0, 0x800000L);</span>
      case 101:
<span class="nc" id="L287">         return jjMoveStringLiteralDfa2_0(active0, 0x400000L);</span>
      case 108:
<span class="nc" id="L289">         return jjMoveStringLiteralDfa2_0(active0, 0x41000L);</span>
      case 110:
<span class="nc" id="L291">         return jjMoveStringLiteralDfa2_0(active0, 0x12000L);</span>
      case 111:
<span class="nc" id="L293">         return jjMoveStringLiteralDfa2_0(active0, 0xa8800L);</span>
      case 115:
<span class="nc" id="L295">         return jjMoveStringLiteralDfa2_0(active0, 0x100000L);</span>
      case 117:
<span class="nc" id="L297">         return jjMoveStringLiteralDfa2_0(active0, 0x200000L);</span>
      case 121:
<span class="nc" id="L299">         return jjMoveStringLiteralDfa2_0(active0, 0x4000L);</span>
      default :
         break;
   }
<span class="nc" id="L303">   return jjStartNfa_0(0, active0);</span>
}
private final int jjMoveStringLiteralDfa2_0(long old0, long active0)
{
<span class="nc bnc" id="L307" title="All 2 branches missed.">   if (((active0 &amp;= old0)) == 0L)</span>
<span class="nc" id="L308">      return jjStartNfa_0(0, old0); </span>
<span class="nc" id="L309">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L310">   catch(java.io.IOException e) {</span>
<span class="nc" id="L311">      jjStopStringLiteralDfa_0(1, active0);</span>
<span class="nc" id="L312">      return 2;</span>
<span class="nc" id="L313">   }</span>
<span class="nc bnc" id="L314" title="All 10 branches missed.">   switch(curChar)</span>
   {
      case 97:
<span class="nc" id="L317">         return jjMoveStringLiteralDfa3_0(active0, 0x1000L);</span>
      case 99:
<span class="nc" id="L319">         return jjMoveStringLiteralDfa3_0(active0, 0x402000L);</span>
      case 100:
<span class="nc" id="L321">         return jjMoveStringLiteralDfa3_0(active0, 0x800L);</span>
      case 102:
<span class="nc" id="L323">         return jjMoveStringLiteralDfa3_0(active0, 0x200000L);</span>
      case 110:
<span class="nc" id="L325">         return jjMoveStringLiteralDfa3_0(active0, 0x20000L);</span>
      case 111:
<span class="nc" id="L327">         return jjMoveStringLiteralDfa3_0(active0, 0x48000L);</span>
      case 112:
<span class="nc bnc" id="L329" title="All 2 branches missed.">         if ((active0 &amp; 0x800000L) != 0L)</span>
<span class="nc" id="L330">            return jjStartNfaWithStates_0(2, 23, 4);</span>
         break;
      case 116:
<span class="nc bnc" id="L333" title="All 2 branches missed.">         if ((active0 &amp; 0x10000L) != 0L)</span>
<span class="nc" id="L334">            return jjStartNfaWithStates_0(2, 16, 4);</span>
<span class="nc" id="L335">         return jjMoveStringLiteralDfa3_0(active0, 0x104000L);</span>
      case 117:
<span class="nc" id="L337">         return jjMoveStringLiteralDfa3_0(active0, 0x80000L);</span>
      default :
         break;
   }
<span class="nc" id="L341">   return jjStartNfa_0(1, active0);</span>
}
private final int jjMoveStringLiteralDfa3_0(long old0, long active0)
{
<span class="nc bnc" id="L345" title="All 2 branches missed.">   if (((active0 &amp;= old0)) == 0L)</span>
<span class="nc" id="L346">      return jjStartNfa_0(1, old0); </span>
<span class="nc" id="L347">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L348">   catch(java.io.IOException e) {</span>
<span class="nc" id="L349">      jjStopStringLiteralDfa_0(2, active0);</span>
<span class="nc" id="L350">      return 3;</span>
<span class="nc" id="L351">   }</span>
<span class="nc bnc" id="L352" title="All 11 branches missed.">   switch(curChar)</span>
   {
      case 97:
<span class="nc" id="L355">         return jjMoveStringLiteralDfa4_0(active0, 0x40000L);</span>
      case 98:
<span class="nc" id="L357">         return jjMoveStringLiteralDfa4_0(active0, 0x80000L);</span>
      case 101:
<span class="nc bnc" id="L359" title="All 2 branches missed.">         if ((active0 &amp; 0x4000L) != 0L)</span>
<span class="nc" id="L360">            return jjStartNfaWithStates_0(3, 14, 4);</span>
         break;
      case 102:
<span class="nc" id="L363">         return jjMoveStringLiteralDfa4_0(active0, 0x200000L);</span>
      case 103:
<span class="nc bnc" id="L365" title="All 2 branches missed.">         if ((active0 &amp; 0x20000L) != 0L)</span>
<span class="nc" id="L366">            return jjStartNfaWithStates_0(3, 17, 4);</span>
         break;
      case 108:
<span class="nc" id="L369">         return jjMoveStringLiteralDfa4_0(active0, 0xa000L);</span>
      case 114:
<span class="nc" id="L371">         return jjMoveStringLiteralDfa4_0(active0, 0x100000L);</span>
      case 115:
<span class="nc" id="L373">         return jjMoveStringLiteralDfa4_0(active0, 0x1000L);</span>
      case 116:
<span class="nc" id="L375">         return jjMoveStringLiteralDfa4_0(active0, 0x400000L);</span>
      case 117:
<span class="nc" id="L377">         return jjMoveStringLiteralDfa4_0(active0, 0x800L);</span>
      default :
         break;
   }
<span class="nc" id="L381">   return jjStartNfa_0(2, active0);</span>
}
private final int jjMoveStringLiteralDfa4_0(long old0, long active0)
{
<span class="nc bnc" id="L385" title="All 2 branches missed.">   if (((active0 &amp;= old0)) == 0L)</span>
<span class="nc" id="L386">      return jjStartNfa_0(2, old0); </span>
<span class="nc" id="L387">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L388">   catch(java.io.IOException e) {</span>
<span class="nc" id="L389">      jjStopStringLiteralDfa_0(3, active0);</span>
<span class="nc" id="L390">      return 4;</span>
<span class="nc" id="L391">   }</span>
<span class="nc bnc" id="L392" title="All 8 branches missed.">   switch(curChar)</span>
   {
      case 101:
<span class="nc" id="L395">         return jjMoveStringLiteralDfa5_0(active0, 0x208000L);</span>
      case 105:
<span class="nc" id="L397">         return jjMoveStringLiteralDfa5_0(active0, 0x100000L);</span>
      case 108:
<span class="nc" id="L399">         return jjMoveStringLiteralDfa5_0(active0, 0x80800L);</span>
      case 111:
<span class="nc" id="L401">         return jjMoveStringLiteralDfa5_0(active0, 0x400000L);</span>
      case 115:
<span class="nc bnc" id="L403" title="All 2 branches missed.">         if ((active0 &amp; 0x1000L) != 0L)</span>
<span class="nc" id="L404">            return jjStartNfaWithStates_0(4, 12, 4);</span>
         break;
      case 116:
<span class="nc bnc" id="L407" title="All 2 branches missed.">         if ((active0 &amp; 0x40000L) != 0L)</span>
<span class="nc" id="L408">            return jjStartNfaWithStates_0(4, 18, 4);</span>
         break;
      case 117:
<span class="nc" id="L411">         return jjMoveStringLiteralDfa5_0(active0, 0x2000L);</span>
      default :
         break;
   }
<span class="nc" id="L415">   return jjStartNfa_0(3, active0);</span>
}
private final int jjMoveStringLiteralDfa5_0(long old0, long active0)
{
<span class="nc bnc" id="L419" title="All 2 branches missed.">   if (((active0 &amp;= old0)) == 0L)</span>
<span class="nc" id="L420">      return jjStartNfa_0(3, old0); </span>
<span class="nc" id="L421">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L422">   catch(java.io.IOException e) {</span>
<span class="nc" id="L423">      jjStopStringLiteralDfa_0(4, active0);</span>
<span class="nc" id="L424">      return 5;</span>
<span class="nc" id="L425">   }</span>
<span class="nc bnc" id="L426" title="All 6 branches missed.">   switch(curChar)</span>
   {
      case 97:
<span class="nc" id="L429">         return jjMoveStringLiteralDfa6_0(active0, 0x8000L);</span>
      case 100:
<span class="nc" id="L431">         return jjMoveStringLiteralDfa6_0(active0, 0x2000L);</span>
      case 101:
<span class="nc bnc" id="L433" title="All 2 branches missed.">         if ((active0 &amp; 0x800L) != 0L)</span>
<span class="nc" id="L434">            return jjStartNfaWithStates_0(5, 11, 4);</span>
<span class="nc bnc" id="L435" title="All 2 branches missed.">         else if ((active0 &amp; 0x80000L) != 0L)</span>
<span class="nc" id="L436">            return jjStartNfaWithStates_0(5, 19, 4);</span>
         break;
      case 110:
<span class="nc" id="L439">         return jjMoveStringLiteralDfa6_0(active0, 0x100000L);</span>
      case 114:
<span class="nc bnc" id="L441" title="All 2 branches missed.">         if ((active0 &amp; 0x200000L) != 0L)</span>
<span class="nc" id="L442">            return jjStartNfaWithStates_0(5, 21, 4);</span>
<span class="nc bnc" id="L443" title="All 2 branches missed.">         else if ((active0 &amp; 0x400000L) != 0L)</span>
<span class="nc" id="L444">            return jjStartNfaWithStates_0(5, 22, 4);</span>
         break;
      default :
         break;
   }
<span class="nc" id="L449">   return jjStartNfa_0(4, active0);</span>
}
private final int jjMoveStringLiteralDfa6_0(long old0, long active0)
{
<span class="nc bnc" id="L453" title="All 2 branches missed.">   if (((active0 &amp;= old0)) == 0L)</span>
<span class="nc" id="L454">      return jjStartNfa_0(4, old0); </span>
<span class="nc" id="L455">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L456">   catch(java.io.IOException e) {</span>
<span class="nc" id="L457">      jjStopStringLiteralDfa_0(5, active0);</span>
<span class="nc" id="L458">      return 6;</span>
<span class="nc" id="L459">   }</span>
<span class="nc bnc" id="L460" title="All 4 branches missed.">   switch(curChar)</span>
   {
      case 101:
<span class="nc bnc" id="L463" title="All 2 branches missed.">         if ((active0 &amp; 0x2000L) != 0L)</span>
<span class="nc" id="L464">            return jjStartNfaWithStates_0(6, 13, 4);</span>
         break;
      case 103:
<span class="nc bnc" id="L467" title="All 2 branches missed.">         if ((active0 &amp; 0x100000L) != 0L)</span>
<span class="nc" id="L468">            return jjStartNfaWithStates_0(6, 20, 4);</span>
         break;
      case 110:
<span class="nc bnc" id="L471" title="All 2 branches missed.">         if ((active0 &amp; 0x8000L) != 0L)</span>
<span class="nc" id="L472">            return jjStartNfaWithStates_0(6, 15, 4);</span>
         break;
      default :
         break;
   }
<span class="nc" id="L477">   return jjStartNfa_0(5, active0);</span>
}
<span class="fc" id="L479">static final long[] jjbitVec0 = {</span>
   0x0L, 0x0L, 0xffffffffffffffffL, 0xffffffffffffffffL
};
private final int jjMoveNfa_0(int startState, int curPos)
{
   int[] nextStates;
<span class="fc" id="L485">   int startsAt = 0;</span>
<span class="fc" id="L486">   jjnewStateCnt = 5;</span>
<span class="fc" id="L487">   int i = 1;</span>
<span class="fc" id="L488">   jjstateSet[0] = startState;</span>
<span class="fc" id="L489">   int j, kind = 0x7fffffff;</span>
   for (;;)
   {
<span class="pc bpc" id="L492" title="1 of 2 branches missed.">      if (++jjround == 0x7fffffff)</span>
<span class="nc" id="L493">         ReInitRounds();</span>
<span class="pc bpc" id="L494" title="1 of 2 branches missed.">      if (curChar &lt; 64)</span>
      {
<span class="fc" id="L496">         long l = 1L &lt;&lt; curChar;</span>
         MatchLoop: do
         {
<span class="pc bpc" id="L499" title="4 of 5 branches missed.">            switch(jjstateSet[--i])</span>
            {
               case 0:
<span class="pc bpc" id="L502" title="1 of 2 branches missed.">                  if (curChar == 34)</span>
<span class="nc" id="L503">                     jjCheckNAdd(1);</span>
                  break;
               case 1:
<span class="nc bnc" id="L506" title="All 2 branches missed.">                  if ((0xfffffffbffffffffL &amp; l) != 0L)</span>
<span class="nc" id="L507">                     jjCheckNAddTwoStates(1, 2);</span>
                  break;
               case 2:
<span class="nc bnc" id="L510" title="All 4 branches missed.">                  if (curChar == 34 &amp;&amp; kind &gt; 31)</span>
<span class="nc" id="L511">                     kind = 31;</span>
                  break;
               case 4:
<span class="nc bnc" id="L514" title="All 2 branches missed.">                  if ((0x3ff000000000000L &amp; l) == 0L)</span>
<span class="nc" id="L515">                     break;</span>
<span class="nc bnc" id="L516" title="All 2 branches missed.">                  if (kind &gt; 32)</span>
<span class="nc" id="L517">                     kind = 32;</span>
<span class="nc" id="L518">                  jjstateSet[jjnewStateCnt++] = 4;</span>
<span class="nc" id="L519">                  break;</span>
               default : break;
            }
<span class="pc bpc" id="L522" title="1 of 2 branches missed.">         } while(i != startsAt);</span>
<span class="fc" id="L523">      }</span>
<span class="nc bnc" id="L524" title="All 2 branches missed.">      else if (curChar &lt; 128)</span>
      {
<span class="nc" id="L526">         long l = 1L &lt;&lt; (curChar &amp; 077);</span>
         MatchLoop: do
         {
<span class="nc bnc" id="L529" title="All 4 branches missed.">            switch(jjstateSet[--i])</span>
            {
               case 0:
<span class="nc bnc" id="L532" title="All 2 branches missed.">                  if ((0x7fffffe07fffffeL &amp; l) == 0L)</span>
<span class="nc" id="L533">                     break;</span>
<span class="nc bnc" id="L534" title="All 2 branches missed.">                  if (kind &gt; 32)</span>
<span class="nc" id="L535">                     kind = 32;</span>
<span class="nc" id="L536">                  jjCheckNAdd(4);</span>
<span class="nc" id="L537">                  break;</span>
               case 1:
<span class="nc" id="L539">                  jjAddStates(0, 1);</span>
<span class="nc" id="L540">                  break;</span>
               case 4:
<span class="nc bnc" id="L542" title="All 2 branches missed.">                  if ((0x7fffffe87fffffeL &amp; l) == 0L)</span>
<span class="nc" id="L543">                     break;</span>
<span class="nc bnc" id="L544" title="All 2 branches missed.">                  if (kind &gt; 32)</span>
<span class="nc" id="L545">                     kind = 32;</span>
<span class="nc" id="L546">                  jjCheckNAdd(4);</span>
<span class="nc" id="L547">                  break;</span>
               default : break;
            }
<span class="nc bnc" id="L550" title="All 2 branches missed.">         } while(i != startsAt);</span>
<span class="nc" id="L551">      }</span>
      else
      {
<span class="nc" id="L554">         int i2 = (curChar &amp; 0xff) &gt;&gt; 6;</span>
<span class="nc" id="L555">         long l2 = 1L &lt;&lt; (curChar &amp; 077);</span>
         MatchLoop: do
         {
<span class="nc bnc" id="L558" title="All 2 branches missed.">            switch(jjstateSet[--i])</span>
            {
               case 1:
<span class="nc bnc" id="L561" title="All 2 branches missed.">                  if ((jjbitVec0[i2] &amp; l2) != 0L)</span>
<span class="nc" id="L562">                     jjAddStates(0, 1);</span>
                  break;
               default : break;
            }
<span class="nc bnc" id="L566" title="All 2 branches missed.">         } while(i != startsAt);</span>
      }
<span class="pc bpc" id="L568" title="1 of 2 branches missed.">      if (kind != 0x7fffffff)</span>
      {
<span class="nc" id="L570">         jjmatchedKind = kind;</span>
<span class="nc" id="L571">         jjmatchedPos = curPos;</span>
<span class="nc" id="L572">         kind = 0x7fffffff;</span>
      }
<span class="fc" id="L574">      ++curPos;</span>
<span class="pc bpc" id="L575" title="1 of 2 branches missed.">      if ((i = jjnewStateCnt) == (startsAt = 5 - (jjnewStateCnt = startsAt)))</span>
<span class="fc" id="L576">         return curPos;</span>
<span class="nc" id="L577">      try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L578">      catch(java.io.IOException e) { return curPos; }</span>
   }
}
private final int jjMoveStringLiteralDfa0_2()
{
<span class="nc bnc" id="L583" title="All 2 branches missed.">   switch(curChar)</span>
   {
      case 42:
<span class="nc" id="L586">         return jjMoveStringLiteralDfa1_2(0x200L);</span>
      default :
<span class="nc" id="L588">         return 1;</span>
   }
}
private final int jjMoveStringLiteralDfa1_2(long active0)
{
<span class="nc" id="L593">   try { curChar = input_stream.readChar(); }</span>
<span class="nc" id="L594">   catch(java.io.IOException e) {</span>
<span class="nc" id="L595">      return 1;</span>
<span class="nc" id="L596">   }</span>
<span class="nc bnc" id="L597" title="All 2 branches missed.">   switch(curChar)</span>
   {
      case 47:
<span class="nc bnc" id="L600" title="All 2 branches missed.">         if ((active0 &amp; 0x200L) != 0L)</span>
<span class="nc" id="L601">            return jjStopAtPos(1, 9);</span>
         break;
      default :
<span class="nc" id="L604">         return 2;</span>
   }
<span class="nc" id="L606">   return 2;</span>
}
<span class="fc" id="L608">static final int[] jjnextStates = {</span>
   1, 2, 
};
<span class="fc" id="L611">public static final String[] jjstrLiteralImages = {</span>
&quot;&quot;, null, null, null, null, null, null, null, null, null, null, 
&quot;\155\157\144\165\154\145&quot;, &quot;\143\154\141\163\163&quot;, &quot;\151\156\143\154\165\144\145&quot;, &quot;\142\171\164\145&quot;, 
&quot;\142\157\157\154\145\141\156&quot;, &quot;\151\156\164&quot;, &quot;\154\157\156\147&quot;, &quot;\146\154\157\141\164&quot;, 
&quot;\144\157\165\142\154\145&quot;, &quot;\165\163\164\162\151\156\147&quot;, &quot;\142\165\146\146\145\162&quot;, 
&quot;\166\145\143\164\157\162&quot;, &quot;\155\141\160&quot;, &quot;\173&quot;, &quot;\175&quot;, &quot;\74&quot;, &quot;\76&quot;, &quot;\73&quot;, &quot;\54&quot;, &quot;\56&quot;, null, null, };
<span class="fc" id="L617">public static final String[] lexStateNames = {</span>
   &quot;DEFAULT&quot;, 
   &quot;WithinOneLineComment&quot;, 
   &quot;WithinMultiLineComment&quot;, 
};
<span class="fc" id="L622">public static final int[] jjnewLexState = {</span>
   -1, -1, -1, -1, -1, 1, 0, -1, 2, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
   -1, -1, -1, -1, -1, -1, -1, -1, 
};
<span class="fc" id="L626">static final long[] jjtoToken = {</span>
   0x1fffff801L, 
};
<span class="fc" id="L629">static final long[] jjtoSkip = {</span>
   0x37eL, 
};
<span class="fc" id="L632">static final long[] jjtoSpecial = {</span>
   0x360L, 
};
<span class="fc" id="L635">static final long[] jjtoMore = {</span>
   0x480L, 
};
protected SimpleCharStream input_stream;
<span class="fc" id="L639">private final int[] jjrounds = new int[5];</span>
<span class="fc" id="L640">private final int[] jjstateSet = new int[10];</span>
StringBuffer image;
int jjimageLen;
int lengthOfMatch;
protected char curChar;
<span class="fc" id="L645">public RccTokenManager(SimpleCharStream stream){</span>
   if (SimpleCharStream.staticFlag)
      throw new Error(&quot;ERROR: Cannot use a static CharStream class with a non-static lexical analyzer.&quot;);
<span class="fc" id="L648">   input_stream = stream;</span>
<span class="fc" id="L649">}</span>
public RccTokenManager(SimpleCharStream stream, int lexState){
<span class="nc" id="L651">   this(stream);</span>
<span class="nc" id="L652">   SwitchTo(lexState);</span>
<span class="nc" id="L653">}</span>
public void ReInit(SimpleCharStream stream)
{
<span class="fc" id="L656">   jjmatchedPos = jjnewStateCnt = 0;</span>
<span class="fc" id="L657">   curLexState = defaultLexState;</span>
<span class="fc" id="L658">   input_stream = stream;</span>
<span class="fc" id="L659">   ReInitRounds();</span>
<span class="fc" id="L660">}</span>
private final void ReInitRounds()
{
   int i;
<span class="fc" id="L664">   jjround = 0x80000001;</span>
<span class="fc bfc" id="L665" title="All 2 branches covered.">   for (i = 5; i-- &gt; 0;)</span>
<span class="fc" id="L666">      jjrounds[i] = 0x80000000;</span>
<span class="fc" id="L667">}</span>
public void ReInit(SimpleCharStream stream, int lexState)
{
<span class="nc" id="L670">   ReInit(stream);</span>
<span class="nc" id="L671">   SwitchTo(lexState);</span>
<span class="nc" id="L672">}</span>
public void SwitchTo(int lexState)
{
<span class="pc bpc" id="L675" title="1 of 4 branches missed.">   if (lexState &gt;= 3 || lexState &lt; 0)</span>
<span class="fc" id="L676">      throw new TokenMgrError(&quot;Error: Ignoring invalid lexical state : &quot; + lexState + &quot;. State unchanged.&quot;, TokenMgrError.INVALID_LEXICAL_STATE);</span>
   else
<span class="nc" id="L678">      curLexState = lexState;</span>
<span class="nc" id="L679">}</span>

protected Token jjFillToken()
{
<span class="fc" id="L683">   Token t = Token.newToken(jjmatchedKind);</span>
<span class="fc" id="L684">   t.kind = jjmatchedKind;</span>
<span class="fc" id="L685">   String im = jjstrLiteralImages[jjmatchedKind];</span>
<span class="pc bpc" id="L686" title="1 of 2 branches missed.">   t.image = (im == null) ? input_stream.GetImage() : im;</span>
<span class="fc" id="L687">   t.beginLine = input_stream.getBeginLine();</span>
<span class="fc" id="L688">   t.beginColumn = input_stream.getBeginColumn();</span>
<span class="fc" id="L689">   t.endLine = input_stream.getEndLine();</span>
<span class="fc" id="L690">   t.endColumn = input_stream.getEndColumn();</span>
<span class="fc" id="L691">   return t;</span>
}

<span class="fc" id="L694">int curLexState = 0;</span>
<span class="fc" id="L695">int defaultLexState = 0;</span>
int jjnewStateCnt;
int jjround;
int jjmatchedPos;
int jjmatchedKind;

public Token getNextToken() 
{
  int kind;
<span class="fc" id="L704">  Token specialToken = null;</span>
  Token matchedToken;
<span class="fc" id="L706">  int curPos = 0;</span>

  EOFLoop :
  for (;;)
  {   
   try   
   {     
<span class="fc" id="L713">      curChar = input_stream.BeginToken();</span>
   }     
<span class="fc" id="L715">   catch(java.io.IOException e)</span>
   {        
<span class="fc" id="L717">      jjmatchedKind = 0;</span>
<span class="fc" id="L718">      matchedToken = jjFillToken();</span>
<span class="fc" id="L719">      matchedToken.specialToken = specialToken;</span>
<span class="fc" id="L720">      return matchedToken;</span>
<span class="fc" id="L721">   }</span>
<span class="fc" id="L722">   image = null;</span>
<span class="fc" id="L723">   jjimageLen = 0;</span>

   for (;;)
   {
<span class="pc bpc" id="L727" title="3 of 4 branches missed.">     switch(curLexState)</span>
     {
       case 0:
<span class="fc" id="L730">         try { input_stream.backup(0);</span>
<span class="pc bpc" id="L731" title="2 of 4 branches missed.">            while (curChar &lt;= 32 &amp;&amp; (0x100002600L &amp; (1L &lt;&lt; curChar)) != 0L)</span>
<span class="nc" id="L732">               curChar = input_stream.BeginToken();</span>
         }
<span class="pc" id="L734">         catch (java.io.IOException e1) { continue EOFLoop; }</span>
<span class="fc" id="L735">         jjmatchedKind = 0x7fffffff;</span>
<span class="fc" id="L736">         jjmatchedPos = 0;</span>
<span class="fc" id="L737">         curPos = jjMoveStringLiteralDfa0_0();</span>
<span class="fc" id="L738">         break;</span>
       case 1:
<span class="nc" id="L740">         jjmatchedKind = 0x7fffffff;</span>
<span class="nc" id="L741">         jjmatchedPos = 0;</span>
<span class="nc" id="L742">         curPos = jjMoveStringLiteralDfa0_1();</span>
<span class="nc bnc" id="L743" title="All 4 branches missed.">         if (jjmatchedPos == 0 &amp;&amp; jjmatchedKind &gt; 7)</span>
         {
<span class="nc" id="L745">            jjmatchedKind = 7;</span>
         }
         break;
       case 2:
<span class="nc" id="L749">         jjmatchedKind = 0x7fffffff;</span>
<span class="nc" id="L750">         jjmatchedPos = 0;</span>
<span class="nc" id="L751">         curPos = jjMoveStringLiteralDfa0_2();</span>
<span class="nc bnc" id="L752" title="All 4 branches missed.">         if (jjmatchedPos == 0 &amp;&amp; jjmatchedKind &gt; 10)</span>
         {
<span class="nc" id="L754">            jjmatchedKind = 10;</span>
         }
         break;
     }
<span class="pc bpc" id="L758" title="1 of 2 branches missed.">     if (jjmatchedKind != 0x7fffffff)</span>
     {
<span class="nc bnc" id="L760" title="All 2 branches missed.">        if (jjmatchedPos + 1 &lt; curPos)</span>
<span class="nc" id="L761">           input_stream.backup(curPos - jjmatchedPos - 1);</span>
<span class="nc bnc" id="L762" title="All 2 branches missed.">        if ((jjtoToken[jjmatchedKind &gt;&gt; 6] &amp; (1L &lt;&lt; (jjmatchedKind &amp; 077))) != 0L)</span>
        {
<span class="nc" id="L764">           matchedToken = jjFillToken();</span>
<span class="nc" id="L765">           matchedToken.specialToken = specialToken;</span>
<span class="nc bnc" id="L766" title="All 2 branches missed.">       if (jjnewLexState[jjmatchedKind] != -1)</span>
<span class="nc" id="L767">         curLexState = jjnewLexState[jjmatchedKind];</span>
<span class="nc" id="L768">           return matchedToken;</span>
        }
<span class="nc bnc" id="L770" title="All 2 branches missed.">        else if ((jjtoSkip[jjmatchedKind &gt;&gt; 6] &amp; (1L &lt;&lt; (jjmatchedKind &amp; 077))) != 0L)</span>
        {
<span class="nc bnc" id="L772" title="All 2 branches missed.">           if ((jjtoSpecial[jjmatchedKind &gt;&gt; 6] &amp; (1L &lt;&lt; (jjmatchedKind &amp; 077))) != 0L)</span>
           {
<span class="nc" id="L774">              matchedToken = jjFillToken();</span>
<span class="nc bnc" id="L775" title="All 2 branches missed.">              if (specialToken == null)</span>
<span class="nc" id="L776">                 specialToken = matchedToken;</span>
              else
              {
<span class="nc" id="L779">                 matchedToken.specialToken = specialToken;</span>
<span class="nc" id="L780">                 specialToken = (specialToken.next = matchedToken);</span>
              }
<span class="nc" id="L782">              SkipLexicalActions(matchedToken);</span>
           }
           else 
<span class="nc" id="L785">              SkipLexicalActions(null);</span>
<span class="nc bnc" id="L786" title="All 2 branches missed.">         if (jjnewLexState[jjmatchedKind] != -1)</span>
<span class="nc" id="L787">           curLexState = jjnewLexState[jjmatchedKind];</span>
           continue EOFLoop;
        }
<span class="nc" id="L790">        jjimageLen += jjmatchedPos + 1;</span>
<span class="nc bnc" id="L791" title="All 2 branches missed.">      if (jjnewLexState[jjmatchedKind] != -1)</span>
<span class="nc" id="L792">        curLexState = jjnewLexState[jjmatchedKind];</span>
<span class="nc" id="L793">        curPos = 0;</span>
<span class="nc" id="L794">        jjmatchedKind = 0x7fffffff;</span>
        try {
<span class="nc" id="L796">           curChar = input_stream.readChar();</span>
<span class="nc" id="L797">           continue;</span>
        }
<span class="nc" id="L799">        catch (java.io.IOException e1) { }</span>
     }
<span class="fc" id="L801">     int error_line = input_stream.getEndLine();</span>
<span class="fc" id="L802">     int error_column = input_stream.getEndColumn();</span>
<span class="fc" id="L803">     String error_after = null;</span>
<span class="fc" id="L804">     boolean EOFSeen = false;</span>
<span class="fc" id="L805">     try { input_stream.readChar(); input_stream.backup(1); }</span>
<span class="nc" id="L806">     catch (java.io.IOException e1) {</span>
<span class="nc" id="L807">        EOFSeen = true;</span>
<span class="nc bnc" id="L808" title="All 2 branches missed.">        error_after = curPos &lt;= 1 ? &quot;&quot; : input_stream.GetImage();</span>
<span class="nc bnc" id="L809" title="All 4 branches missed.">        if (curChar == '\n' || curChar == '\r') {</span>
<span class="nc" id="L810">           error_line++;</span>
<span class="nc" id="L811">           error_column = 0;</span>
        }
        else
<span class="nc" id="L814">           error_column++;</span>
<span class="fc" id="L815">     }</span>
<span class="pc bpc" id="L816" title="1 of 2 branches missed.">     if (!EOFSeen) {</span>
<span class="fc" id="L817">        input_stream.backup(1);</span>
<span class="pc bpc" id="L818" title="1 of 2 branches missed.">        error_after = curPos &lt;= 1 ? &quot;&quot; : input_stream.GetImage();</span>
     }
<span class="fc" id="L820">     throw new TokenMgrError(EOFSeen, curLexState, error_line, error_column, error_after, curChar, TokenMgrError.LEXICAL_ERROR);</span>
   }
  }
}

void SkipLexicalActions(Token matchedToken)
{
<span class="fc" id="L827">   switch(jjmatchedKind)</span>
   {
      default :
         break;
   }
<span class="fc" id="L832">}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="$jacoco.home.url$">JaCoCo</a> $qualified.bundle.version$</span></div></body></html>